#include <cppunit/extensions/HelperMacros.h>

#include "src/util.h"
#include "src/exceptions.h"

class UtilTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(UtilTest);
    CPPUNIT_TEST(test_str2ulong);
    CPPUNIT_TEST_SUITE_END();
public:
    void test_str2ulong();
};

CPPUNIT_TEST_SUITE_REGISTRATION(UtilTest);

using namespace dSA;

void UtilTest::test_str2ulong()
{
    CPPUNIT_ASSERT_EQUAL(util::str2ulong("0"), 0UL);
    CPPUNIT_ASSERT_EQUAL(util::str2ulong("1"), 1UL);
    CPPUNIT_ASSERT_EQUAL(util::str2ulong("4294967295"), 4294967295UL);
    CPPUNIT_ASSERT_THROW(util::str2ulong("4294967296"), dSA::Exception);
    CPPUNIT_ASSERT_THROW(util::str2ulong("-1"), dSA::Exception);
}
